bsddb crashes on windows

Vijay Rao vijay at accellion.com
Fri Mar 7 06:35:16 CET 2003


>
>
>     Jarek> Will [the new bsddb] be compatible with current bsddb code?
>
>There are two components to compatibility you need to consider, the API at
>the Python level and the format of the bits written to database files.
>There is a backwards compatibility API in the new bsddb package which is
>compatible with the previous module's API.  The file format will of
>necessity change, because the version of the underlying library with Python
>for Windows will jump from 1.85 to 4.1.25.

Does this mean that if I use bsddb3 with Python 2.2 I wont have to make any 
change when I use the same code base with
Python 2.3.

vr






More information about the Python-list mailing list